

#include "BUILTIN.h"

#include "Nat.h"

#include "Real.h"

#include "Denotation.h"

#include "Char.h"

#include "Int.h"
extern OBJ _ASignalConv_1(OBJ);OBJ __ASignalConv_1; /* ` */
extern OBJ _ASignalConv_2(OBJ);OBJ __ASignalConv_2; /* `,1 */
extern OBJ _ASignalConv_3(OBJ);OBJ __ASignalConv_3; /* `,2 */
extern OBJ _ASignalConv_4(OBJ);OBJ __ASignalConv_4; /* `,3 */
OBJ __ASignalConv_5; /* `'5 */
OBJ __ASignalConv_6; /* `'6 */
OBJ __ASignalConv_7; /* `'7 */
OBJ __ASignalConv_8; /* `'8 */
OBJ __ASignalConv_9; /* `'9 */
OBJ __ASignalConv_10; /* `'10 */
OBJ __ASignalConv_11; /* `'11 */
OBJ __ASignalConv_12; /* `'12 */
OBJ __ASignalConv_13; /* `'13 */
OBJ __ASignalConv_14; /* `'14 */
OBJ __ASignalConv_15; /* `'15 */
OBJ __ASignalConv_16; /* `'16 */
OBJ __ASignalConv_17; /* `'17 */
OBJ __ASignalConv_18; /* `'18 */
OBJ __ASignalConv_19; /* `'19 */
OBJ __ASignalConv_20; /* `'20 */
OBJ __ASignalConv_21; /* `'21 */
OBJ __ASignalConv_22; /* `'22 */
OBJ __ASignalConv_23; /* `'23 */
OBJ __ASignalConv_24; /* `,1'24 */
OBJ __ASignalConv_25; /* `,2'25 */
OBJ __ASignalConv_26; /* `,3'26 */
OBJ __ASignalConv_27; /* `,3'27 */
OBJ __ASignalConv_28; /* `,3'28 */
extern OBJ _ASignalConv_29(OBJ);OBJ __ASignalConv_29; /* `,3'29 */
OBJ __ASignalConv_30; /* `,3'30 */
extern OBJ _ASignalConv_31(OBJ);OBJ __ASignalConv_31; /* `,3'31 */
extern OBJ _ASignalConv_32(OBJ);OBJ __ASignalConv_32; /* `,3'32 */
OBJ __ASignalConv_33; /* `,3'33 */
extern OBJ _ASignalConv_34(OBJ);OBJ __ASignalConv_34; /* `,3'34 */
OBJ __ASignalConv_35; /* `,3'35 */

extern OBJ _ASignalConv_1(OBJ x1) /* ` */
{OBJ r;
 switch(TGPRM(x1)){
  case 11:
   CPPRD(__ASignalConv_6,1);
   r=__ASignalConv_6;break;
  case 15:
   CPPRD(__ASignalConv_7,1);
   r=__ASignalConv_7;break;
  case 17:
   CPPRD(__ASignalConv_8,1);
   r=__ASignalConv_8;break;
  case 18:
   CPPRD(__ASignalConv_9,1);
   r=__ASignalConv_9;break;
  case 16:
   CPPRD(__ASignalConv_10,1);
   r=__ASignalConv_10;break;
  case 13:
   CPPRD(__ASignalConv_11,1);
   r=__ASignalConv_11;break;
  case 14:
   CPPRD(__ASignalConv_12,1);
   r=__ASignalConv_12;break;
  case 12:
   CPPRD(__ASignalConv_13,1);
   r=__ASignalConv_13;break;
  case 9:
   CPPRD(__ASignalConv_14,1);
   r=__ASignalConv_14;break;
  case 10:
   CPPRD(__ASignalConv_15,1);
   r=__ASignalConv_15;break;
  case 8:
   CPPRD(__ASignalConv_16,1);
   r=__ASignalConv_16;break;
  case 3:
   CPPRD(__ASignalConv_17,1);
   r=__ASignalConv_17;break;
  case 5:
   CPPRD(__ASignalConv_18,1);
   r=__ASignalConv_18;break;
  case 6:
   CPPRD(__ASignalConv_19,1);
   r=__ASignalConv_19;break;
  case 4:
   CPPRD(__ASignalConv_20,1);
   r=__ASignalConv_20;break;
  case 1:
   CPPRD(__ASignalConv_21,1);
   r=__ASignalConv_21;break;
  case 2:
   CPPRD(__ASignalConv_22,1);
   r=__ASignalConv_22;break;
  case 0:
   CPPRD(__ASignalConv_23,1);
   r=__ASignalConv_23;break;
  default: 
   CPPRD(__ASignalConv_5,1);
   r=__ASignalConv_5;}
 return r;}

extern OBJ _ASignalConv_2(OBJ x1) /* `,1 */
{OBJ r;
 CPPRD(__ASignalConv_24,1);
 FREE(x1,1);
 r=__ASignalConv_24;
 return r;}

extern OBJ _ASignalConv_3(OBJ x1) /* `,2 */
{OBJ r;
 CPPRD(__ASignalConv_25,1);
 FREE(x1,1);
 r=__ASignalConv_25;
 return r;}

extern OBJ _ASignalConv_4(OBJ x1) /* `,3 */
{OBJ r;
 if(ISPRM(x1)){
  switch(TGPRM(x1)){
   case 2:
    CPPRD(__ASignalConv_27,1);
    r=__ASignalConv_27;break;
   case 0:
    CPPRD(__ASignalConv_35,1);
    r=__ASignalConv_35;break;
   default: 
    CPPRD(__ASignalConv_26,1);
    r=__ASignalConv_26;}
 }else{
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  CPCLS(__ASignalConv_34,1);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ASignalConv_34,1))(__ASignalConv_34,__ABUILTIN_20);}
 return r;}

extern OBJ _ASignalConv_29(OBJ x1) /* `,3'29 */
{OBJ r;
 CPPRD(__ASignalConv_24,1);
 CPPRD(__ASignalConv_28,1);
 ADenotation_4(__ASignalConv_24,__ASignalConv_28,r);
 return r;}

extern OBJ _ASignalConv_31(OBJ x1) /* `,3'31 */
{OBJ r;
 CPCLS(__ASignalConv_29,1);
 CPPRD(__ASignalConv_30,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__ASignalConv_29,1))(__ASignalConv_29,__ABUILTIN_20);
  ADenotation_4(__ASignalConv_30,x2,r);}
 return r;}

extern OBJ _ASignalConv_32(OBJ x1) /* `,3'32 */
{OBJ r;
 CPPRD(__ASignalConv_25,1);
 CPCLS(__ASignalConv_31,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__ASignalConv_31,1))(__ASignalConv_31,__ABUILTIN_20);
  ADenotation_4(__ASignalConv_25,x2,r);}
 return r;}

extern OBJ _ASignalConv_34(OBJ x1) /* `,3'34 */
{OBJ r;
 CPCLS(__ASignalConv_32,1);
 CPPRD(__ASignalConv_33,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__ASignalConv_32,1))(__ASignalConv_32,__ABUILTIN_20);
  ADenotation_4(__ASignalConv_33,x2,r);}
 return r;}

init_ASignalConv()
{
 static int visited=0; if(visited) return; visited=1;
 init_ASignal();
 init_AVoid();
 init_ANat();
 init_ACom();
 init_AProcessCtrl();
 init_AReal();
 init_AQuadruple();
 init_ASeq();
 init_AFileSystem();
 init_AUserAndGroup();
 init_ADenotation();
 init_AOption();
 init_ASet();
 init_AChar();
 init_AString();
 init_ATime();
 init_AInt();
 LCLS(1,_ASignalConv_31,__ASignalConv_31);
 DEN(",",__ASignalConv_30);
 LCLS(1,_ASignalConv_29,__ASignalConv_29);
 DEN(")",__ASignalConv_28);
 DEN("CATCH",__ASignalConv_27);
 DEN("SIG_IGN",__ASignalConv_26);
 DEN("someSignalHandler",__ASignalConv_25);
 DEN("someSignalMask",__ASignalConv_24);
 DEN("SIGABRT",__ASignalConv_23);
 DEN("SIGFPE",__ASignalConv_22);
 DEN("SIGALRM",__ASignalConv_21);
 DEN("SIGILL",__ASignalConv_20);
 DEN("SIGKILL",__ASignalConv_19);
 DEN("SIGINT",__ASignalConv_18);
 DEN("SIGHUP",__ASignalConv_17);
 DEN("SIGQUIT",__ASignalConv_16);
 DEN("SIGTERM",__ASignalConv_15);
 DEN("SIGSEGV",__ASignalConv_14);
 DEN("SIGUSR2",__ASignalConv_13);
 DEN("SIGCONT",__ASignalConv_12);
 DEN("SIGCHLD",__ASignalConv_11);
 DEN("SIGTSTP",__ASignalConv_10);
 DEN("SIGTTOU",__ASignalConv_9);
 DEN("SIGTTIN",__ASignalConv_8);
 DEN("SIGSTOP",__ASignalConv_7);
 DEN("SIGUSR1",__ASignalConv_6);
 DEN("SIGPIPE",__ASignalConv_5);
 CLS(1,_ASignalConv_4,__ASignalConv_4);
 DEN("SIG_DFL",__ASignalConv_35);
 CLS(1,_ASignalConv_3,__ASignalConv_3);
 LCLS(1,_ASignalConv_34,__ASignalConv_34);
 CLS(1,_ASignalConv_2,__ASignalConv_2);
 DEN("HANDLE(",__ASignalConv_33);
 CLS(1,_ASignalConv_1,__ASignalConv_1);
 LCLS(1,_ASignalConv_32,__ASignalConv_32);}

